## magnum 1.0.0~b1

=== debian/changelog ===
magnum (1.0.0~b1-5) unstable; urgency=medium

  * Import po files from Glance (Closes: #804126).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:51:23 +0100

magnum (1.0.0~b1-4) unstable; urgency=medium

  * Added missing magnum-common dbconfig-common dependency (Closes: #804107).
  * Added python-openstackclient depends in magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2015 11:03:26 +0100

magnum (1.0.0~b1-3) unstable; urgency=medium

  * Added q-text-as-data in depends for magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:45:32 +0000

magnum (1.0.0~b1-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:29:29 +0000

magnum (1.0.0~b1-1) unstable; urgency=medium

  * Initial release. (Closes: #803532)

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2015 06:26:24 +0100
