## magnum 2.0.0

=== debian/changelog ===
magnum (2.0.0-4ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control: Drop min version of python-docker to 1.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Apr 2016 12:35:38 -0400

magnum (2.0.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #819209).
  * Updated pt_BR.po debconf translation (Closes: #819257).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:04:40 +0200

magnum (2.0.0-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:38:20 +0000

magnum (2.0.0-2) experimental; urgency=medium

  * Fixed config file generation.
  * Added missing oslo.middleware.cors namespace when generating config.
  * Also packaging api-paste.ini.
  * Set correct lock_path and auth_protocol default options in magnum.conf.
  * Correctly install all files in the package.
  * Add fix-bashisms.patch.
  * Set default listen on all IPs for magnum-api (ie: 0.0.0.0 instead of the
    default, which is 127.0.0.1).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 23:11:15 +0100

magnum (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Failed build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:51:47 +0100

magnum (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated nl.po debconf translation (Closes: #812355).
  * Updated fr.po debconf translation (Closes: #807767).
  * Added a watch file.
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 16:33:13 +0800
