=== debian/control ===
--- 
+++ 
@@ -1,74 +1,82 @@
 Source: magnum
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 40~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.8.0),
+                     bandit,
                      python-babel,
                      python-barbicanclient (>= 3.3.0),
+                     python-cliff (>= 1.15.0),
                      python-coverage,
                      python-cryptography (>= 1.0),
                      python-decorator (>= 3.4.0),
                      python-doc8,
-                     python-docker (>= 1.1.0),
-                     python-eventlet (>= 0.17.4),
+                     python-docker (>= 1.5.0),
+                     python-enum34,
+                     python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 0.18.0),
+                     python-glanceclient (>= 2.0.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-heatclient (>= 0.3.0),
+                     python-heatclient (>= 0.6.0),
                      python-iso8601 (>= 0.1.9),
                      python-jsonpatch,
-                     python-keystoneclient (>= 1.6.0),
-                     python-keystonemiddleware (>= 2.0.0),
+                     python-keystoneclient (>= 2.0.0),
+                     python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 1.3),
                      python-netaddr (>= 0.7.12),
-                     python-novaclient (>= 2:2.28.1),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 2.3.0),
+                     python-neutronclient (>= 2.6.0),
+                     python-novaclient (>= 2:2.29.0),
+                     python-os-testr (>= 0.4.1),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 2.0.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.reports (>= 0.1.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
-                     python-oslo.versionedobjects (>= 0.9.0),
+                     python-oslo.reports (>= 1.0.0),
+                     python-oslo.serialization (>= 2.0.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.versionedobjects (>= 1.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pecan (>= 1.0.0),
                      python-prettytable,
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-taskflow (>= 1.16.0),
-                     python-tempest-lib (>= 0.8.0),
+                     python-taskflow (>= 1.26.0),
+                     python-tempest-lib (>= 0.14.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python-tz,
                      python-urllib3 (>= 1.8.3),
                      python-webob (>= 1.2.3),
-                     python-wsme (>= 0.7),
+                     python-wsme (>= 0.8),
                      python-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/magnum.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/magnum.git
-Homepage: http://github.com/openstack/magnum
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/magnum.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/magnum.git
+Homepage: https://github.com/openstack/magnum
 
 Package: python-magnum
 Section: python
@@ -76,43 +84,48 @@
 Depends: alembic (>= 0.8.0),
          python-babel,
          python-barbicanclient (>= 3.3.0),
+         python-cliff (>= 1.15.0),
          python-cryptography (>= 1.0),
          python-decorator (>= 3.4.0),
-         python-docker (>= 1.1.0),
-         python-eventlet (>= 0.17.4),
-         python-glanceclient (>= 0.18.0),
+         python-docker (>= 1.5.0),
+         python-enum34,
+         python-eventlet (>= 0.18.4),
+         python-glanceclient (>= 2.0.0),
          python-greenlet (>= 0.3.2),
-         python-heatclient (>= 0.3.0),
+         python-heatclient (>= 0.6.0),
          python-iso8601 (>= 0.1.9),
          python-jsonpatch,
-         python-keystoneclient (>= 1.6.0),
-         python-keystonemiddleware (>= 2.0.0),
+         python-keystoneclient (>= 2.0.0),
+         python-keystonemiddleware (>= 4.0.0),
          python-netaddr (>= 0.7.12),
-         python-novaclient (>= 2:2.28.1),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 2.3.0),
+         python-neutronclient (>= 2.6.0),
+         python-novaclient (>= 2:2.29.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 2.0.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.reports (>= 0.1.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-oslo.versionedobjects (>= 0.9.0),
+         python-oslo.reports (>= 1.0.0),
+         python-oslo.serialization (>= 2.0.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-oslo.versionedobjects (>= 1.5.0),
          python-paramiko (>= 1.13.0),
+         python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
          python-prettytable,
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
-         python-taskflow (>= 1.16.0),
+         python-taskflow (>= 1.26.0),
          python-urllib3 (>= 1.8.3),
          python-webob (>= 1.2.3),
-         python-wsme (>= 0.7),
+         python-wsme (>= 0.8),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
