=== debian/changelog ===
magnum (3.0.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839194).

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:06:36 +0000

magnum (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Using OpenStack Gerrit as VCS URLs.
  * Fixed (build-)depends for this release.
  * Removed all patches (now irrelevant).
  * Updated Danish translation of the debconf templates (Closes: #830647).

  [ Spyros Trigazis ]
  * Fixed endpoint registration type and description.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:31:58 +0200

magnum (2.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Japanese debconf templates translation update (Closes: #820764).
  * Updated Dutch debconf templates translation (Closes: #823254).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 13:11:37 +0000
