=== debian/control ===
--- 
+++ 
@@ -1,129 +1,137 @@
 Source: magnum
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
-               python-setuptools,
+               python-setuptools (>= 24.0.0),
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.0),
+Build-Depends-Indep: alembic (>= 0.8.4),
                      bandit,
-                     python-babel,
-                     python-barbicanclient (>= 3.3.0),
+                     python-babel (>= 2.3.4),
+                     python-barbicanclient (>= 4.0.0),
                      python-cliff (>= 1.15.0),
                      python-coverage,
                      python-cryptography (>= 1.0),
                      python-decorator (>= 3.4.0),
                      python-doc8,
-                     python-docker (>= 1.5.0),
+                     python-docker (>= 1.6.0),
                      python-enum34,
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 2.0.0),
+                     python-fixtures (>= 3.0.0),
+                     python-glanceclient (>= 2.3.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-heatclient (>= 0.6.0),
-                     python-iso8601 (>= 0.1.9),
+                     python-heatclient (>= 1.4.0),
+                     python-iso8601 (>= 0.1.11),
                      python-jsonpatch,
+                     python-k8sclient (>= 0.2.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-keystoneclient (>= 2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 2.6.0),
+                     python-neutronclient (>= 5.1.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-os-testr (>= 0.4.1),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-os-api-ref,
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.reports (>= 1.0.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
-                     python-oslo.versionedobjects (>= 1.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-paramiko (>= 1.13.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-paramiko (>= 2.0),
                      python-pecan (>= 1.0.0),
+                     python-pep8,
                      python-prettytable,
-                     python-requests (>= 2.8.1),
+                     python-pycadf (>= 1.1.0),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.16.0),
                      python-taskflow (>= 1.26.0),
-                     python-tempest-lib (>= 0.14.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
-                     python-urllib3 (>= 1.8.3),
+                     python-urllib3 (>= 1.15.1),
                      python-webob (>= 1.2.3),
                      python-wsme (>= 0.8),
                      python-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/magnum.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/magnum.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-magnum?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-magnum -b debian/newton
 Homepage: https://github.com/openstack/magnum
 
 Package: python-magnum
 Section: python
 Architecture: all
-Depends: alembic (>= 0.8.0),
-         python-babel,
-         python-barbicanclient (>= 3.3.0),
+Depends: alembic (>= 0.8.4),
+         python-babel (>= 2.3.4),
+         python-barbicanclient (>= 4.0.0),
          python-cliff (>= 1.15.0),
          python-cryptography (>= 1.0),
          python-decorator (>= 3.4.0),
-         python-docker (>= 1.5.0),
+         python-docker (>= 1.6.0),
          python-enum34,
          python-eventlet (>= 0.18.4),
-         python-glanceclient (>= 2.0.0),
+         python-glanceclient (>= 2.3.0),
          python-greenlet (>= 0.3.2),
-         python-heatclient (>= 0.6.0),
-         python-iso8601 (>= 0.1.9),
+         python-heatclient (>= 1.4.0),
+         python-iso8601 (>= 0.1.11),
          python-jsonpatch,
+         python-k8sclient (>= 0.2.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-keystoneclient (>= 2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 2.6.0),
+         python-neutronclient (>= 5.1.0),
          python-novaclient (>= 2:2.29.0),
-         python-oslo.concurrency (>= 3.5.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.reports (>= 1.0.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
-         python-oslo.versionedobjects (>= 1.5.0),
-         python-paramiko (>= 1.13.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.16.0),
+         python-oslo.versionedobjects (>= 1.13.0),
+         python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
          python-prettytable,
-         python-requests (>= 2.8.1),
+         python-pycadf (>= 1.1.0),
+         python-requests (>= 2.10.0),
+         python-setuptools (>= 24.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.16.0),
          python-taskflow (>= 1.26.0),
-         python-urllib3 (>= 1.8.3),
+         python-urllib3 (>= 1.15.1),
          python-webob (>= 1.2.3),
          python-wsme (>= 0.8),
          python-yaml,
