=== debian/changelog ===
magnum (3.1.1-5) unstable; urgency=medium

  * Team upload.
  * Fix CVE-2016-7404 (Closes: #863547)

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Jun 2017 16:31:39 +0200

magnum (3.1.1-4) unstable; urgency=medium

  * Brazilian Portuguese debconf templates (Closes: #852444).
  * German debconf translation update (Closes: #842486).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:31:50 +0200

magnum (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858703).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:49:48 +0200

magnum (3.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add missing files (Closes: #847097).
  * Allow SQLAlchemy >= 1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Dec 2016 16:53:30 +0100

magnum (3.1.1-1) unstable; urgency=medium

  * Fixed missing Alembic migration scripts (LP: #1632743).
  * Fixed missing lsb-base runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2016 23:58:31 +0200

magnum (3.1.1-0) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable (Closes: #835100).
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839194).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:54:56 +0200
