=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -36,7 +36,7 @@
                      python-keystoneclient (>= 2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 5.1.0),
                      python-novaclient (>= 2:2.29.0),
                      python-openstackdocstheme (>= 1.5.0),
@@ -73,6 +73,7 @@
                      python-tz,
                      python-urllib3 (>= 1.15.1),
                      python-webob (>= 1.2.3),
+                     python-werkzeug,
                      python-wsme (>= 0.8),
                      python-yaml,
                      subunit,
@@ -103,7 +104,7 @@
          python-keystoneauth1 (>= 2.10.0),
          python-keystoneclient (>= 2.0.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-neutronclient (>= 5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.8.0),
@@ -133,6 +134,7 @@
          python-taskflow (>= 1.26.0),
          python-urllib3 (>= 1.15.1),
          python-webob (>= 1.2.3),
+         python-werkzeug,
          python-wsme (>= 0.8),
          python-yaml,
          ${misc:Depends},
@@ -175,6 +177,7 @@
          python-openstackclient,
          q-text-as-data,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack containers as a service
  Magnum is an OpenStack project which offers container orchestration engines
@@ -192,6 +195,7 @@
 Architecture: all
 Depends: magnum-common (= ${binary:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack containers as a service - conductor
  Magnum is an OpenStack project which offers container orchestration engines
